global:
  scrape_interval:     60s
  evaluation_interval: 60s
  scrape_timeout:      55s

rule_files:
  - 'alert.rules'

scrape_configs:
  # unused for now
  #- job_name: 'traefik'
  #  scrape_interval: 5s
  #  static_configs:
  #    - targets: ['reverse-proxy:8080']

  - job_name: prometheus
    static_configs:
      - targets: ["prometheus:9090"]


  - job_name: cadvisor-prod1
    scheme: "https"
    static_configs:
      - targets: ["cadvisor-prod1.kaz.bzh:443"]
        labels: 
          host: 'prod1'
          portainer_id: 2

  - job_name: cadvisor-prod2
    scheme: "https"
    static_configs:        
      - targets: ["cadvisor-prod2.kaz.bzh:443"]
        labels: 
          host: 'prod2'
          portainer_id: 4

  - job_name: cadvisor-kazoulet
    scheme: "https"
    static_configs:
      - targets: ["cadvisor-kazoulet.kaz.bzh:443"]
        labels: 
          host: 'kazoulet'
          portainer_id: 3

  - job_name: cadvisor-tykaz
    scheme: "https"
    static_configs:          
      - targets: ["cadvisor-tykaz.kaz.bzh:443"]
        labels: 
          host: 'tykaz'
          portainer_id: 10

  - job_name: cadvisor-kazguel
    scheme: "https"
    static_configs:
      - targets: ["cadvisor-kazguel.kaz.bzh:443"]
        labels: 
          host: 'kazguel'
          portainer_id: 11

  - job_name: cadvisor-kazkouil
    scheme: "https"
    static_configs:
      - targets: ["cadvisor-dev.kazkouil.fr:443"]
        labels: 
          host: 'kazkouil'
          portainer_id: 5

  - job_name: node-exporter-prod1
    static_configs:
#      - targets: ["prod1.kaz.bzh:9100","prod2.kaz.bzh:9100","kazoulet.kaz.bzh:9100","tykaz.kaz.bzh:9100","kazguel.kaz.bzh:9100","kazkouil.fr:9100"]

      - targets: ["prod1.kaz.bzh:9100"]
        labels:
          host: 'prod1'

          
  - job_name: node-exporter-prod2
    static_configs:
#      - targets: ["prod1.kaz.bzh:9100","prod2.kaz.bzh:9100","kazoulet.kaz.bzh:9100","tykaz.kaz.bzh:9100","kazguel.kaz.bzh:9100","kazkouil.fr:9100"]
          
      - targets: ["prod2.kaz.bzh:9100"]
        labels: 
          host: 'prod2'

  - job_name: node-exporter-kazoulet
    static_configs:
      - targets: ["kazoulet.kaz.bzh:9100"]
        labels: 
          host: 'kazoulet'

  - job_name: node-exporter-tykaz
    static_configs:
      - targets: ["tykaz.kaz.bzh:9100"]
        labels: 
          host: 'tykaz'

  - job_name: node-exporter-kazguel
    static_configs:
      - targets: ["kazguel.kaz.bzh:9100"]
        labels: 
          host: 'kazguel'

  - job_name: node-exporter-kazkouil
    static_configs:
      - targets: ["kazkouil.fr:9100"]
        labels: 
          host: 'kazkouil'
